grk::cblk_enc Struct Reference

`#include <t1_common.h>`

## Public Attributes

uint8_t * | data
pass_enc * | passes
uint32_t | x0
uint32_t | y0
uint32_t | x1
uint32_t | y1
uint8_t | numbps
uint32_t | numPassesTotal

## Member Data Documentation

## data

uint8_t* grk::cblk_enc::data

Referenced by grk::T1::compress_cblk().

## numbps

uint8_t grk::cblk_enc::numbps

Referenced by grk::T1::compress_cblk(), and grk::T1::enc_is_term_pass().

## numPassesTotal

uint32_t grk::cblk_enc::numPassesTotal

Referenced by grk::T1::compress_cblk().

## passes

pass_enc* grk::cblk_enc::passes

Referenced by grk::T1::compress_cblk().

## x0

uint32_t grk::cblk_enc::x0

## x1

uint32_t grk::cblk_enc::x1

## y0

uint32_t grk::cblk_enc::y0

## y1

uint32_t grk::cblk_enc::y1

The documentation for this struct was generated from the following file:

- t1_common.h